cURL
curl --request POST \
--url https://api.utilities.digitalasset.com/api/token-standard/v0/registrars/{registrarParty}/registry/allocations/v1/{allocationId}/choice-contexts/cancel \
--header 'Content-Type: application/json' \
--data '{
"meta": {}
}'import requests
url = "https://api.utilities.digitalasset.com/api/token-standard/v0/registrars/{registrarParty}/registry/allocations/v1/{allocationId}/choice-contexts/cancel"
payload = { "meta": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({meta: {}})
};
fetch('https://api.utilities.digitalasset.com/api/token-standard/v0/registrars/{registrarParty}/registry/allocations/v1/{allocationId}/choice-contexts/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"choiceContextData": {},
"disclosedContracts": [
{
"templateId": "<string>",
"contractId": "<string>",
"createdEventBlob": "<string>",
"synchronizerId": "<string>",
"debugPackageName": "<string>",
"debugPayload": {},
"debugCreatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}public
Post apitoken standardv0registrars registryallocationsv1 choice contextscancel
Get the choice context to cancel an allocation.
POST
/
api
/
token-standard
/
v0
/
registrars
/
{registrarParty}
/
registry
/
allocations
/
v1
/
{allocationId}
/
choice-contexts
/
cancel
cURL
Path Parameters
The contract ID of the allocation to cancel.
The registrar party.
Body
application/json
A request to get the context for executing a choice on a contract.
Metadata that will be passed to the choice, and should be incorporated into the choice context. Provided for extensibility.
Show child attributes
Show child attributes
Response
ok
The context required to exercise a choice on a contract via an interface.
Used to retrieve additional reference date that is passed in via disclosed contracts,
which are in turn referred to via their contract ID in the choiceContextData.
Was this page helpful?
⌘I